Bullet Collision Detection & Physics Library: Bullet::btCollisionObjectDoubleData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btCollisionObjectDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btCollisionObjectDoubleData:
[legend]

## Public Attributes
void * | m_broadphaseHandle
void * | m_collisionShape
btCollisionShapeData * | m_rootCollisionShape
char * | m_name
btTransformDoubleData | m_worldTransform
btTransformDoubleData | m_interpolationWorldTransform
btVector3DoubleData | m_interpolationLinearVelocity
btVector3DoubleData | m_interpolationAngularVelocity
btVector3DoubleData | m_anisotropicFriction
double | m_contactProcessingThreshold
double | m_deactivationTime
double | m_friction
double | m_rollingFriction
double | m_contactDamping
double | m_contactStiffness
double | m_restitution
double | m_hitFraction
double | m_ccdSweptSphereRadius
double | m_ccdMotionThreshold
int | m_hasAnisotropicFriction
int | m_collisionFlags
int | m_islandTag1
int | m_companionId
int | m_activationState1
int | m_internalType
int | m_checkCollideWith
int | m_collisionFilterGroup
int | m_collisionFilterMask
int | m_uniqueId

## Detailed Description

Definition at line 636 of file bullet.h.

## Member Data Documentation

## ◆ m_activationState1

int Bullet::btCollisionObjectDoubleData::m_activationState1

Definition at line 662 of file bullet.h.

## ◆ m_anisotropicFriction

btVector3DoubleData Bullet::btCollisionObjectDoubleData::m_anisotropicFriction

Definition at line 647 of file bullet.h.

## ◆ m_broadphaseHandle

void* Bullet::btCollisionObjectDoubleData::m_broadphaseHandle

Definition at line 639 of file bullet.h.

## ◆ m_ccdMotionThreshold

double Bullet::btCollisionObjectDoubleData::m_ccdMotionThreshold

Definition at line 657 of file bullet.h.

## ◆ m_ccdSweptSphereRadius

double Bullet::btCollisionObjectDoubleData::m_ccdSweptSphereRadius

Definition at line 656 of file bullet.h.

## ◆ m_checkCollideWith

int Bullet::btCollisionObjectDoubleData::m_checkCollideWith

Definition at line 664 of file bullet.h.

## ◆ m_collisionFilterGroup

int Bullet::btCollisionObjectDoubleData::m_collisionFilterGroup

Definition at line 665 of file bullet.h.

## ◆ m_collisionFilterMask

int Bullet::btCollisionObjectDoubleData::m_collisionFilterMask

Definition at line 666 of file bullet.h.

## ◆ m_collisionFlags

int Bullet::btCollisionObjectDoubleData::m_collisionFlags

Definition at line 659 of file bullet.h.

## ◆ m_collisionShape

void* Bullet::btCollisionObjectDoubleData::m_collisionShape

Definition at line 640 of file bullet.h.

## ◆ m_companionId

int Bullet::btCollisionObjectDoubleData::m_companionId

Definition at line 661 of file bullet.h.

## ◆ m_contactDamping

double Bullet::btCollisionObjectDoubleData::m_contactDamping

Definition at line 652 of file bullet.h.

## ◆ m_contactProcessingThreshold

double Bullet::btCollisionObjectDoubleData::m_contactProcessingThreshold

Definition at line 648 of file bullet.h.

## ◆ m_contactStiffness

double Bullet::btCollisionObjectDoubleData::m_contactStiffness

Definition at line 653 of file bullet.h.

## ◆ m_deactivationTime

double Bullet::btCollisionObjectDoubleData::m_deactivationTime

Definition at line 649 of file bullet.h.

## ◆ m_friction

double Bullet::btCollisionObjectDoubleData::m_friction

Definition at line 650 of file bullet.h.

## ◆ m_hasAnisotropicFriction

int Bullet::btCollisionObjectDoubleData::m_hasAnisotropicFriction

Definition at line 658 of file bullet.h.

## ◆ m_hitFraction

double Bullet::btCollisionObjectDoubleData::m_hitFraction

Definition at line 655 of file bullet.h.

## ◆ m_internalType

int Bullet::btCollisionObjectDoubleData::m_internalType

Definition at line 663 of file bullet.h.

## ◆ m_interpolationAngularVelocity

btVector3DoubleData Bullet::btCollisionObjectDoubleData::m_interpolationAngularVelocity

Definition at line 646 of file bullet.h.

## ◆ m_interpolationLinearVelocity

btVector3DoubleData Bullet::btCollisionObjectDoubleData::m_interpolationLinearVelocity

Definition at line 645 of file bullet.h.

## ◆ m_interpolationWorldTransform

btTransformDoubleData Bullet::btCollisionObjectDoubleData::m_interpolationWorldTransform

Definition at line 644 of file bullet.h.

## ◆ m_islandTag1

int Bullet::btCollisionObjectDoubleData::m_islandTag1

Definition at line 660 of file bullet.h.

## ◆ m_name

char* Bullet::btCollisionObjectDoubleData::m_name

Definition at line 642 of file bullet.h.

## ◆ m_restitution

double Bullet::btCollisionObjectDoubleData::m_restitution

Definition at line 654 of file bullet.h.

## ◆ m_rollingFriction

double Bullet::btCollisionObjectDoubleData::m_rollingFriction

Definition at line 651 of file bullet.h.

## ◆ m_rootCollisionShape

btCollisionShapeData* Bullet::btCollisionObjectDoubleData::m_rootCollisionShape

Definition at line 641 of file bullet.h.

## ◆ m_uniqueId

int Bullet::btCollisionObjectDoubleData::m_uniqueId

Definition at line 667 of file bullet.h.

## ◆ m_worldTransform

btTransformDoubleData Bullet::btCollisionObjectDoubleData::m_worldTransform

Definition at line 643 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h